# Address of the Joystream node.
NODE_URL = ws://127.0.0.1:9944
# Account which is expected to provide sufficient funds to test accounts.
SUDO_ACCOUNT_URI = //Alice
# Amount of members able to buy membership in membership creation test.
MEMBERSHIP_CREATION_N = 2
# ID of the membership paid terms used in membership creation test.
MEMBERSHIP_PAID_TERMS = 0
# Council stake amount for first K accounts in council election test.
COUNCIL_STAKE_GREATER_AMOUNT = 3000
# Council stake amount for first the rest participants in council election test.
COUNCIL_STAKE_LESSER_AMOUNT = 2000
# Number of members with greater stake in council election test.
COUNCIL_ELECTION_K = 2
# Balance to spend using spending proposal
SPENDING_BALANCE = 1000
# Minting capacity increment for content working group minting capacity test.
MINTING_CAPACITY_INCREMENT = 20
# Minting capacity for council mint for spending proposal.
COUNCIL_MINTING_CAPACITY = 100000
# Stake amount for Rome runtime upgrade proposal
RUNTIME_UPGRADE_PROPOSAL_STAKE = 100000
# Validator count increment for Validator count test.
VALIDATOR_COUNT_INCREMENT = 2
# Constantinople runtime path
RUNTIME_WASM_PATH = ../../target/release/wbuild/joystream-node-runtime/joystream_node_runtime.compact.wasm
# Working group size N
WORKING_GROUP_N = 3
# Working group application stake
WORKING_GROUP_APPLICATION_STAKE = 10
# Working group role stake
WORKING_GROUP_ROLE_STAKE = 10
# Reward interval for working group tests
LONG_REWARD_INTERVAL = 99999
# First reward interval for working group reward test
SHORT_FIRST_REWARD_INTERVAL = 3
# Reward interval for working group reward test
SHORT_REWARD_INTERVAL = 3
# Payout amount for working group tests
PAYOUT_AMOUNT = 3
# Payout amount for leader-related proposals tests
ALTERED_PAYOUT_AMOUNT = 7
# Mint capacity for storage working group
STORAGE_WORKING_GROUP_MINTING_CAPACITY = 100000
# Default unstaking period for storage working group
STORAGE_WORKING_GROUP_UNSTAKING_PERIOD = 1
# Slash value for manage working group lead testing scenario
SLASH_AMOUNT = 2
# Stake decrement amount for manage working group lead testing scenario
STAKE_DECREMENT = 3
# Mint capacity increment value for working gorup mint capacity test
MINT_CAPACITY_INCREMENT = 11